# CbcGenParamUtils Namespace Reference

## Functions
void | addCbcGenParams (int &numParams, CoinParamVec &paramVec, CbcGenCtlBlk *ctlBlk)
void | loadGenParamObj (const CoinParamVec paramVec, int first, int last, CbcGenCtlBlk *ctlBlk)
void | saveSolution (const OsiSolverInterface *osi, std::string fileName)
bool | readSolution (std::string fileName, int &numRows, int &numCols, double &objVal, double **rowActivity, double **dualVars, double **primalVars, double **reducedCosts)
int | doBaCParam (CoinParam *param)
int | doDebugParam (CoinParam *param)
int | doExitParam (CoinParam *param)
int | doHelpParam (CoinParam *param)
int | doImportParam (CoinParam *param)
int | doPrintMaskParam (CoinParam *param)
int | doNothingParam (CoinParam *param)
int | doSolutionParam (CoinParam *param)
int | doUnimplementedParam (CoinParam *param)
int | doVersionParam (CoinParam *param)
int | pushCbcGenDblParam (CoinParam *param)
int | pushCbcGenIntParam (CoinParam *param)
int | pushCbcGenKwdParam (CoinParam *param)
int | pushCbcGenStrParam (CoinParam *param)
int | pushCbcGenCutParam (CoinParam *param)

## Function Documentation

void CbcGenParamUtils::addCbcGenParams | ( | int & | numParams,
|  | CoinParamVec & | paramVec,
|  | CbcGenCtlBlk * | ctlBlk |
| ) |  |  |

void CbcGenParamUtils::loadGenParamObj | ( | const CoinParamVec | paramVec,
|  | int | first,
|  | int | last,
|  | CbcGenCtlBlk * | ctlBlk |
| ) |  |  |

void CbcGenParamUtils::saveSolution | ( | const OsiSolverInterface * | osi,
|  | std::string | fileName |
| ) |  |  |

bool CbcGenParamUtils::readSolution | ( | std::string | fileName,
|  | int & | numRows,
|  | int & | numCols,
|  | double & | objVal,
|  | double ** | rowActivity,
|  | double ** | dualVars,
|  | double ** | primalVars,
|  | double ** | reducedCosts |
| ) |  |  |

int CbcGenParamUtils::doBaCParam | ( | CoinParam * | param | ) |

int CbcGenParamUtils::doDebugParam | ( | CoinParam * | param | ) |

int CbcGenParamUtils::doExitParam | ( | CoinParam * | param | ) |

int CbcGenParamUtils::doHelpParam | ( | CoinParam * | param | ) |

int CbcGenParamUtils::doImportParam | ( | CoinParam * | param | ) |

int CbcGenParamUtils::doPrintMaskParam | ( | CoinParam * | param | ) |

int CbcGenParamUtils::doNothingParam | ( | CoinParam * | param | ) |

int CbcGenParamUtils::doSolutionParam | ( | CoinParam * | param | ) |

int CbcGenParamUtils::doUnimplementedParam | ( | CoinParam * | param | ) |

int CbcGenParamUtils::doVersionParam | ( | CoinParam * | param | ) |

int CbcGenParamUtils::pushCbcGenDblParam | ( | CoinParam * | param | ) |

int CbcGenParamUtils::pushCbcGenIntParam | ( | CoinParam * | param | ) |

int CbcGenParamUtils::pushCbcGenKwdParam | ( | CoinParam * | param | ) |

int CbcGenParamUtils::pushCbcGenStrParam | ( | CoinParam * | param | ) |

int CbcGenParamUtils::pushCbcGenCutParam | ( | CoinParam * | param | ) |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines